> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tavus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pronunciation Dictionary

> Retrieve a pronunciation dictionary by its ID, including all rules.




## OpenAPI

````yaml get /v2/pronunciation-dictionaries/{dictionary_id}
openapi: 3.0.3
info:
  title: Tavus Developer API Collection
  version: 1.0.0
  contact: {}
servers:
  - url: https://tavusapi.com
security:
  - apiKey: []
tags:
  - name: Videos
  - name: Replicas
  - name: Voices
  - name: Conversations
  - name: Personas
  - name: Pronunciation Dictionaries
  - name: Replacements
  - name: Transcriptions
  - name: Documents
paths:
  /v2/pronunciation-dictionaries/{dictionary_id}:
    get:
      tags:
        - Pronunciation Dictionaries
      summary: Get Pronunciation Dictionary
      description: |
        Retrieve a pronunciation dictionary by its ID, including all rules.
      operationId: getPronunciationDictionary
      parameters:
        - in: path
          name: dictionary_id
          required: true
          schema:
            type: string
          description: The unique identifier of the pronunciation dictionary.
          example: pd_abc123def456gh
      responses:
        '200':
          description: Pronunciation dictionary details
          content:
            application/json:
              schema:
                type: object
                properties:
                  pronunciation_dictionary_id:
                    type: string
                    description: Unique identifier for the pronunciation dictionary.
                    example: pd_abc123def456gh
                  name:
                    type: string
                    description: Name of the pronunciation dictionary.
                    example: Brand Terms
                  rules:
                    type: array
                    description: List of pronunciation rules.
                    items:
                      type: object
                      properties:
                        text:
                          type: string
                          example: Tavus
                        pronunciation:
                          type: string
                          example: TAH-vus
                        type:
                          type: string
                          enum:
                            - alias
                            - ipa
                          example: alias
                        case_sensitive:
                          type: boolean
                          example: false
                        word_boundaries:
                          type: boolean
                          example: true
                  rules_count:
                    type: integer
                    description: Number of rules in the dictionary.
                    example: 1
                  created_at:
                    type: string
                    description: ISO 8601 timestamp of when the dictionary was created.
                    example: '2025-01-15T10:30:00Z'
                  updated_at:
                    type: string
                    description: >-
                      ISO 8601 timestamp of when the dictionary was last
                      updated.
                    example: '2025-01-15T10:30:00Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: The error message
                    example: Invalid access token
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: The error message
                    example: Pronunciation dictionary not found
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````